[packages/resolvconf] Up to 1.94
arekm
arekm at pld-linux.org
Sat Mar 14 12:10:08 CET 2026
commit 560ad9cc3679857d062c3d90ec0810a0803c064d
Author: Arkadiusz Miśkiewicz <arekm at maven.pl>
Date: Sat Mar 14 12:09:51 2026 +0100
Up to 1.94
resolv.conf-mode.patch | 10 ----
resolvconf-pld.patch | 156 ++++++++++++++++++++++++-------------------------
resolvconf.spec | 21 +++----
3 files changed, 86 insertions(+), 101 deletions(-)
---
diff --git a/resolvconf.spec b/resolvconf.spec
index 8026f8d..0484d12 100644
--- a/resolvconf.spec
+++ b/resolvconf.spec
@@ -1,18 +1,17 @@
Summary: Nameserver information handler
Summary(pl.UTF-8): Program obsługujący informacje o serwerach nazw
Name: resolvconf
-Version: 1.43
-Release: 5
-License: GPL v2
+Version: 1.94
+Release: 1
+License: GPL v2+
Group: Base
-Source0: http://ftp.debian.org/debian/pool/main/r/resolvconf/%{name}_%{version}.tar.gz
-# Source0-md5: 15faef2aba7b99782f3b0b8b5d30f80a
+Source0: https://ftp.debian.org/debian/pool/main/r/resolvconf/%{name}_%{version}.tar.xz
+# Source0-md5: e2d0dad5e4fd7ee2cc4ce3d27bb1698e
Source1: %{name}.init
Source2: %{name}.sysconfig
Source3: %{name}-dhclient-enter-hook.sh
Source4: %{name}-dhclient-exit-hook.sh
Patch0: %{name}-pld.patch
-Patch1: resolv.conf-mode.patch
Requires: dhcp-client-dirs
Requires: rc-scripts >= 0.4.8
BuildArch: noarch
@@ -34,9 +33,8 @@ programami dostarczającymi informacje o serwerach nazw a programami
wykorzystującymi te informacje.
%prep
-%setup -q
+%setup -q -n work
%patch -P0 -p1
-%patch -P1 -p1
touch etc/resolvconf/resolv.conf.d/tail
# cleanup backups after patching
@@ -49,8 +47,11 @@ install -d $RPM_BUILD_ROOT%{_sysconfdir}/dhclient-enter-hooks.d
install -d $RPM_BUILD_ROOT%{_sysconfdir}/dhclient-exit-hooks.d
cp -a etc/%{name}/* $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
+install -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/update-libc.d
install -p bin/resolvconf $RPM_BUILD_ROOT%{_sbindir}
install -p bin/list-records $RPM_BUILD_ROOT%{_libdir}/%{name}
+install -p bin/normalize-resolvconf $RPM_BUILD_ROOT%{_libdir}/%{name}
+install -p bin/dump-debug-info $RPM_BUILD_ROOT%{_libdir}/%{name}
cp -a man/interface-order.5 $RPM_BUILD_ROOT%{_mandir}/man5
cp -a man/resolvconf.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
@@ -71,6 +72,8 @@ rm -rf $RPM_BUILD_ROOT
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%dir %{_libdir}/resolvconf
%attr(755,root,root) %{_libdir}/resolvconf/list-records
+%attr(755,root,root) %{_libdir}/resolvconf/normalize-resolvconf
+%attr(755,root,root) %{_libdir}/resolvconf/dump-debug-info
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/resolv.conf.d
%dir %{_sysconfdir}/%{name}/update.d
@@ -85,8 +88,6 @@ rm -rf $RPM_BUILD_ROOT
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/resolv.conf.d/tail
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dhclient-enter-hooks.d/resolvconf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dhclient-exit-hooks.d/resolvconf
-%attr(755,root,root) %{_sysconfdir}/%{name}/update.d/bind
-%attr(755,root,root) %{_sysconfdir}/%{name}/update.d/dnscache
%attr(755,root,root) %{_sysconfdir}/%{name}/update.d/libc
%{_mandir}/man5/interface-order.5*
%{_mandir}/man8/resolvconf.8*
diff --git a/resolv.conf-mode.patch b/resolv.conf-mode.patch
deleted file mode 100644
index fdb28bc..0000000
--- a/resolv.conf-mode.patch
+++ /dev/null
@@ -1,10 +0,0 @@
---- resolvconf-1.43/etc/resolvconf/update.d/libc~ 2009-11-05 19:30:31.554926706 +0200
-+++ resolvconf-1.43/etc/resolvconf/update.d/libc 2009-11-05 19:30:44.748256920 +0200
-@@ -131,6 +131,7 @@
- fi
-
- # The file has changed
-+chmod 644 "$TMPFILE"
- mv -f "$TMPFILE" "$DYNAMICRSLVCNFFILE"
-
- # Restart nscd
diff --git a/resolvconf-pld.patch b/resolvconf-pld.patch
index 2725210..e1d982f 100644
--- a/resolvconf-pld.patch
+++ b/resolvconf-pld.patch
@@ -1,46 +1,17 @@
---- resolvconf-1.42/README 2008-06-05 11:50:40.000000000 +0300
-+++ resolvconf-1.42-pld/README 2008-11-24 21:18:08.000000000 +0200
-@@ -317,7 +317,7 @@
- If you want to keep resolvconf installed but for some reason do not want
- /etc/resolv.conf to be symlinked to /etc/resolvconf/run/resolv.conf then
- you can disable the warning message by setting REPORT_ABSENT_SYMLINK=no
--in /etc/default/resolvconf.
-+in /etc/sysconfig/resolvconf.
+PLD Linux adaptation:
+- use /etc/sysconfig instead of /etc/default
+- use /etc/rc.d/init.d instead of /etc/init.d
+- set umask 022 in libc update script to ensure resolv.conf is world-readable
+
+--- work.orig/etc/resolvconf/update.d/libc 2025-04-23 11:53:37.000000000 +0200
++++ work/etc/resolvconf/update.d/libc 2026-03-14 12:08:19.052374500 +0100
+@@ -17,11 +17,12 @@
- Order of entries in resolv.conf
- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
---- resolvconf-1.42/etc/resolvconf/update.d/bind 2008-06-05 11:50:40.000000000 +0300
-+++ resolvconf-1.42-pld/etc/resolvconf/update.d/bind 2008-11-24 21:18:08.000000000 +0200
-@@ -96,7 +96,7 @@
- rm -f "$TMP_FILE"
- else
- mv -f "$TMP_FILE" "$OPTS_FILE"
-- [ -x /etc/init.d/bind9 ] && /etc/init.d/bind9 reload > /dev/null 2>&1 || :
-- [ -x /etc/init.d/bind ] && /etc/init.d/bind reload > /dev/null 2>&1 || :
-+ [ -x /etc/rc.d/init.d/bind9 ] && /etc/rc.d/init.d/bind9 reload > /dev/null 2>&1 || :
-+ [ -x /etc/rc.d/init.d/bind ] && /etc/rc.d/init.d/bind reload > /dev/null 2>&1 || :
- fi
-
---- resolvconf-1.42/etc/resolvconf/update.d/dnscache 2008-06-10 19:17:46.000000000 +0300
-+++ resolvconf-1.42-pld/etc/resolvconf/update.d/dnscache 2008-11-24 21:18:08.000000000 +0200
-@@ -98,11 +98,11 @@
- fi
-
- # svc is the daemontools service controller
--SVC_CMD="$(which svc)" || :
-+SVC_CMD="$(which svc 2>/dev/null)" || :
- [ ! "$SVC_CMD" ] && [ -x /command/svc ] && SVC_CMD=/command/svc
+ set -e
+ PATH=/sbin:/bin:/usr/sbin:/usr/bin
++umask 022
- # sv is the runit service controller
--SV_CMD="$(which sv)" || :
-+SV_CMD="$(which sv 2>/dev/null)" || :
-
- for CACHE in $CACHES ; do
- cp "$TMPFILE" "$CACHE/root/servers/@"
---- resolvconf-1.42/etc/resolvconf/update.d/libc 2008-06-05 11:50:40.000000000 +0300
-+++ resolvconf-1.42-pld/etc/resolvconf/update.d/libc 2008-11-24 21:18:08.000000000 +0200
-@@ -24,7 +24,7 @@
- TRUNCATE_NAMESERVER_LIST_AFTER_127=y
+ [ -x /usr/lib/resolvconf/list-records ] || exit 1
# Default override
-[ -r /etc/default/resolvconf ] && . /etc/default/resolvconf
@@ -48,51 +19,74 @@
ETC=/etc
ETCRESOLVCONF="${ETC}/resolvconf"
-@@ -37,7 +37,7 @@
-
- report_warning() { echo "$0: Warning: $*" >&2 ; }
-
--if [ ! -L ${ETC}/resolv.conf ] || [ ! "$(readlink ${ETC}/resolv.conf)" = "$DYNAMICRSLVCNFFILE" ] ; then
-+if [ ! -L ${ETC}/resolv.conf ] || [ ! "$(resolvesymlink ${ETC}/resolv.conf)" = "$DYNAMICRSLVCNFFILE" ] ; then
- case "$REPORT_ABSENT_SYMLINK" in
- y|Y|yes|YES|Yes)
- report_warning "${ETC}/resolv.conf is not a symbolic link to $DYNAMICRSLVCNFFILE"
-@@ -141,16 +141,16 @@
- if \
- [ "$NSCD_PIDFILE" ] \
- && [ -x /usr/sbin/nscd ] \
-- && [ -x /etc/init.d/nscd ] \
-+ && [ -x /etc/rc.d/init.d/nscd ] \
- && [ -s /etc/nscd.conf ] \
- && grep -q '[[:space:]]*enable-cache[[:space:]]\+hosts[[:space:]]\+yes' /etc/nscd.conf \
- && start-stop-daemon --stop --quiet --pidfile="$NSCD_PIDFILE" --exec /usr/sbin/nscd --retry=TERM/3/HUP/5 \
- && start-stop-daemon --stop --quiet --oknodo --exec /usr/sbin/nscd --retry=0/5
- then
- echo "Stopped Name Service Cache Daemon: nscd."
-- /etc/init.d/nscd start && { sleep 0.1 ; NSCD_RESTARTED=yes ; }
-+ /etc/rc.d/init.d/nscd start && { sleep 0.1 ; NSCD_RESTARTED=yes ; }
- fi
-
- # Notify users of the resolver
- exec run-parts ${NSCD_RESTARTED:+--arg="--nscd"} "${ETCRESOLVCONF}/update-libc.d"
-
---- resolvconf-1.42/man/resolvconf.8 2008-06-05 11:50:40.000000000 +0300
-+++ resolvconf-1.42-pld/man/resolvconf.8 2008-11-24 21:18:08.000000000 +0200
-@@ -169,7 +169,7 @@
- \fB\-u\fR
- Just run the update scripts.
+--- work.orig/man/resolvconf.8 2025-04-23 11:53:37.000000000 +0200
++++ work/man/resolvconf.8 2026-03-14 12:08:19.048302223 +0100
+@@ -376,7 +376,7 @@
+ Print a short usage notice.
.SH ENVIRONMENT VARIABLES
--The following variables can be set in /etc/default/resolvconf.
-+The following variables can be set in /etc/sysconfig/resolvconf.
+ The following variables can be set in the configuration file
+-.IR /etc/default/resolvconf .
++.IR /etc/sysconfig/resolvconf .
+ If the file does not exist you will have to create it.
.TP
.B REPORT_ABSENT_SYMLINK
- If set to "yes" then
-@@ -205,7 +205,7 @@
- The default is "yes".
+@@ -426,7 +426,7 @@
+ .BR TRUNCATE_NAMESERVER_LIST_AFTER_127 .
.SH FILES
.TP
-.I /etc/default/resolvconf
+.I /etc/sysconfig/resolvconf
See the ENVIRONMENT VARIABLES section.
- .I /etc/resolvconf/run
- This is either a directory where nameserver information can be stored
+ .TP
+ .I /etc/resolvconf/interface\-order
+--- work.orig/README 2025-04-23 11:53:37.000000000 +0200
++++ work/README 2026-03-14 12:08:19.050481863 +0100
+@@ -247,7 +247,7 @@
+ want to keep resolvconf installed but for some reason do not want
+ /etc/resolv.conf to be symlinked to /run/resolvconf/resolv.conf then you
+ can disable the warning message by setting REPORT_ABSENT_SYMLINK=no in
+-/etc/default/resolvconf.
++/etc/sysconfig/resolvconf.
+
+ Order of entries in resolv.conf
+ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+@@ -334,8 +334,8 @@
+ resolv.conf-like information after the interface is brought up. They
+ call it again to delete the information when the interface is brought
+ down. /usr/sbin/resolvconf then does the equivalent of
+- "/etc/init.d/resolvconf reload".
+-* "/etc/init.d/resolvconf reload" calls scripts in
++ "/etc/rc.d/init.d/resolvconf reload".
++* "/etc/rc.d/init.d/resolvconf reload" calls scripts in
+ /etc/resolvconf/update.d/ which update DNS cache configuration file
+ fragments, reload daemons and regenerate /etc/resolv.conf. If
+ the latter has changed then scripts in /etc/resolvconf/update-libc.d/
+@@ -463,8 +463,8 @@
+ force_reload_foo() {
+ if which invoke-rc.d >/dev/null 2>&1 ; then
+ invoke-rc.d foo force-reload
+- elif [ -x /etc/init.d/foo ] ; then
+- /etc/init.d/foo force-reload
++ elif [ -x /etc/rc.d/init.d/foo ] ; then
++ /etc/rc.d/init.d/foo force-reload
+ fi
+ }
+ case "$1" in
+@@ -633,7 +633,7 @@
+ + Create script /etc/resolvconf/update.d/bind to:
+ . Convert /etc/bind/named.options.sed into /var/run/bind/named.options
+ (which is to be included in /etc/bind/named.conf)
+- . Then run "/etc/init.d/bind9 reload" or "/etc/init.d/bind reload"
++ . Then run "/etc/rc.d/init.d/bind9 reload" or "/etc/rc.d/init.d/bind reload"
+ - DONE in resolvconf package
+ # 199255: Please support resolvconf
+ - DONE in 1:9.2.3-1
+@@ -680,7 +680,7 @@
+ # 212823: pcmcia-cs: please add support for the resolvconf package
+ - DONE in 3.2.5-1
+ * pdns-recursor
+- # 308677: /etc/init.d/pdns-recursor: Please add resolvconf calls
++ # 308677: /etc/rc.d/init.d/pdns-recursor: Please add resolvconf calls
+ - DONE in 2.9.18-4
+ * pdns-server
+ # 304528: Please add resolvconf update script in order to automate
================================================================
---- gitweb:
http://git.pld-linux.org/gitweb.cgi/packages/resolvconf.git/commitdiff/560ad9cc3679857d062c3d90ec0810a0803c064d
More information about the pld-cvs-commit
mailing list